1C Home   |   Register   |   Today Posts   |   Members   |   UserCP   |   Calendar   |   Search   |   FAQ

Go Back   Official 1C Company forum > 1C Publishing > IL-2 Sturmovik

IL-2 Sturmovik The famous combat flight simulator.

Reply
 
Thread Tools Display Modes
  #1  
Old 02-25-2017, 12:04 PM
Im_TheSaint Im_TheSaint is offline
Registered Member
 
Join Date: Feb 2017
Posts: 2
Default Need help with patching/mod preferences

Hi,

I just bought this game. Trough steam (that leaves me with the version 14.2.2m. I´m about to go and patch it to the lastest version. My questions are: does hyperlobby support the newest version - that is - 14.3.3? If not, which version is most advised? or how can I decide? I´m currently running 14.2.2m

are there any other ways to join multyplay besides hyperlobby?

also, are mods bound to a version? or can I have the newer version and run them too. if not I assume the most wide spread is 14.2.2m (seemingly most mods) Pls advice on which version is best.

Since I seek for several mods, Maybe CUP, Ultrapack, HFSX and some other ones. I will chose that later.

Am I correct to assume: dedicated server version is only for running one? im not sure.

How can I use Track IR, or rather HatTrack with IL2 1946? is there some mod addon?

I already know where to find info on installing mods. So I have that covered

I thank you for your help in advance
bye

_________________
I am new to sim flying, I however know more than just: up is the Sky down is the ground
Reply With Quote
  #2  
Old 02-26-2017, 12:00 AM
Treetop64's Avatar
Treetop64 Treetop64 is offline
Approved Member
 
Join Date: Oct 2010
Location: Redwood City, California
Posts: 470
Default

All of the big mega-mods are compatible only with older versions of the game. 4.12.2 is usually the newest they support, with some supporting only older versions. Highly unlikely any of them will work with 4.13.3.

Alternatively, there is a mod activator that is available for 4.13.3 (found here). When using the modactivator you pick and choose which individual mods you want to use.

I personally prefer the modactivator myself. The big megamods just carry way too much unwanted baggage for my preferences.
Reply With Quote
  #3  
Old 03-29-2017, 11:50 AM
sturmovikfan101 sturmovikfan101 is offline
Approved Member
 
Join Date: Mar 2017
Posts: 12
Default

what the point of using mods for older versions? many bugs in them
Reply With Quote
Reply

Thread Tools
Display Modes

Posting Rules
You may not post new threads
You may not post replies
You may not post attachments
You may not edit your posts

BB code is On
Smilies are On
[IMG] code is On
HTML code is Off

Forum Jump


All times are GMT. The time now is 09:45 PM.

Based on a design by: Miner Skinz.com

Powered by vBulletin® Version 3.8.4
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.
Copyright © 2007 1C Company. All rights reserved.